
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Apache Spark机器学习.2.3　一致性匹配 / iVAN</title>

    <meta name="description" content="Apache Spark机器学习.2.3　一致性匹配 2.3 一致性匹配 本节,我们将讨论一个重要的数据准备主题,就是一致性匹配和相关解决方案.我们将讨论几个使用Spark解决一致性问题的特征和使用Spark的数据匹配解决方案. 阅读本节以后,读者可以使用Spark解决一些常见的数据一致性问题. 2.3.1 一致性问题 我们经常需要在数据准备过程中处理一些属于同一个人或单元的数据元素,但这些元素并不相似.例如,我们有一些Larry Z.的购物数据和L. Zhang的网页活动数据.Larry Z.和L. Zhang是否是同一个人?数据中是否有很多一致">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Apache Spark机器学习.2.3　一致性匹配</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><b>2.3　一致性匹配</b></p>
<p><b><br /></b></p>
<p>本节，我们将讨论一个重要的数据准备主题，就是一致性匹配和相关解决方案。我们将讨论几个使用Spark解决一致性问题的特征和使用Spark的数据匹配解决方案。</p>
<p>阅读本节以后，读者可以使用Spark解决一些常见的数据一致性问题。</p>
<p>2.3.1　一致性问题</p>
<p>我们经常需要在数据准备过程中处理一些属于同一个人或单元的数据元素，但这些元素并不相似。例如，我们有一些Larry Z.的购物数据和L. Zhang的网页活动数据。Larry Z.和L. Zhang是否是同一个人？数据中是否有很多一致性的变化。</p>
<p>由于实体变异的类型非常普遍，可能引起的原因有：重复、错误、名字变化和有意的别名等，使得对象匹配成为机器学习数据准备中的一个巨大挑战。有时，完成匹配或寻找关联都非常困难，而且这些工作非常耗时。然而，任何种类的错误匹配将产生许多错误，数据的不匹配也会产生偏见，因此数据匹配工作也是非常必要和极为重要。与此同时，正确的匹配也会在分组检测方面有附加的价值，例如恐怖组织、贩毒集团检测。</p>
<p>目前，已经开发了一些新的方法来解决这个问题，例如模糊匹配。本节，我们主要介绍一些常用的方法，包括：</p>
<p>使用SQL查询手工查找</p>
<p>该方法比较费力，发现少，但准确度高。</p>
<p>自动数据清洗</p>
<p>该方类方法一般会使用几项规则，这些规则使用信息最丰富的属性。</p>
<p>词汇相似性</p>
<p>这种方法合理且有用，但会产生许多假告警。</p>
<p>特征与关系匹配</p>
<p>这种方法比较好，但无法解决非线性影响。</p>
<p>上述方法的精度往往取决于数据的稀疏性和数据集的大小，也取决于这些任务是否是解决重复、错误、变异，或别名等问题。</p>
<p>2.3.2　基于Spark的一致性匹配</p>
<p>与前面类似，尽管最常用的工具是SparkSQL和R语言，但我们还是要介绍一些使用SampleClean处理实体匹配问题的方法。</p>
<p>2.3.3　实体解析</p>
<p>对于一些基本的实体匹配任务，SampleClean提供了简单易用的界面。SampleClean包含一个名为EntityResolution的类，该类包含了一些常见的重复程序模式。</p>
<p>一个基本的EntityResolution类包括以下几个步骤：</p>
<p>1.找到一个分类属性不一致的列。</p>
<p>2.将相似的属性连接在一起。</p>
<p>3.选择连接属性的一个单独正则表达方法。</p>
<p>4.变更数据。</p>
<p>短字符串比较</p>
<p>我们有一个短字符串的列，该列存在表示的不一致。EntityResolution.short-Attribute-Canonicalize函数的输入包括：当前内容，需要清洗的工作集名称，需要修正的列、阈值0或1（0全部合并，1仅匹配合并）。该函数使用EditDistance作为默认的相似度量方法。下面是一个代码例子：</p>
<p> </p>
<p>长字符串比较</p>
<p>我们有一个长字符串的列，例如地址，它们是相近的但不准确。基本的策略是切分这些字符串，比较词汇集而不是整个字符串。该方法使用WeightedJaccard作为默认的相似性度量方法。下面是一个代码例子：</p>
<p> </p>
<p>记录去重</p>
<p>更复杂的去重任务是记录的不一致，而不是单个字段的不一致。也就是说，多个记录指向相同的实体。RecordDeduplication使用Long Attribute作为默认的相似度量方法。下面是一个代码例子：</p>
<p> </p>
<p>更多关于SampleClean的资料，请访问http://sampleclean.org/guide/。</p>
<p>2.3.4　更好的一致性匹配</p>
<p>正如前几节展示的，与数据清洗类似，同时使用SampleClean和Spark可以使一致性匹配更容易——编写较少的代码和使用更少的数据。正如前面讨论的，自动化的数据清理非常容易和快速，但准确性难以保证。把一致性匹配做得更好的常用方法是动用更多的人员使用费力的众包（crowd sourcing）方法。</p>
<p>SampleClean在众包去重方法中组合了算法、机器、人员等因素。</p>
<p>众包去重</p>
<p>由于众包非常难以扩展到非常大的数据集，SampleClean系统使用众包（crowd）在数据的一个采样集上进行去重，然后训练一个模型，并在整个数据集上推广众包的去重工作。具体来讲，SampleClean使用Active Learning算法进行采样，可以快速建立一个较好的模型。</p>
<p>配置众包</p>
<p>为了使用crowd worker清理数据，SampleClean使用开源的AMPCrowd服务来支撑多个crowd平台，并进行质量控制。因此，用户必须安装AMPCrowd。此外，必须通过配置传递CrowdConfiguration对象将crowd操作符指向AMPCrowd服务器。</p>
<p>使用众包</p>
<p>SampleClean目前提供了一个主要的众包操作符：ActiveLearningMatcher。</p>
<p>这是EntityResolution算法的扩展步骤，用于训练一个众包监督模型来预测重复。请看下面的代码：</p>
<p> </p>
<p>匹配器的配置如下：</p>
<p> </p>
<p>将匹配器添加到已有的算法，使用下面的函数：</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:50:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/apache/" title="apache">apache</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/spark/" title="spark">spark</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e7%b3%8a%e5%8c%b9%e9%85%8d/" title="模糊匹配">模糊匹配</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Apache Spark机器学习.2.3　一致性匹配的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6Ng4JM.html" rel="bookmark">《 Apache Spark机器学习&period;》导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt; Apache Spark机器学习.&gt;一书中作者[美] 刘永川(Alex Liu) 著 闫龙川 高德荃 李君婷 译  前 言 作为数据科学家和机器学习专业人员,我们的工作是建立模型进行欺诈检测.预测客户流失,或者在广泛的领域将数据转换为洞见.为此,我们有时需要处理大量的数据和复杂的计算.因此,我们一直对新的计算工具满怀期待,例如Spark,我们花费了很多时间来学习新工具.有很多可用的资料来学习这些新的工具,但这些资料大多都由计算机科学家编写,更多的是从计算角度来描述.			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3E0dmp.html" rel="bookmark">Apache Spark机器学习&period;2&period;1　访问和加载数据集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要 Spark机器学习的数据准备 机器学习从业者和数据科学家时常耗费70%或80%的时间为机器学习项目准备数据.数据准备可能是很艰辛的工作,但是它影响到接下来的各方面工作,因此是非常必要和极其重要的.所以,在本章中,我们将讨论机器学习中所有必要的数据准备方面的内容,通常包括数据获取.数据清洗.数据集连接,再到特征开发,从而让我们为基于Spark平台构建机器学习模型准备好数据集.具体而言,我们将讨论前面提到的以下6个数据准备任务,然后在针对复用性和自动化的讨论中结束本章: 访问和加载数据集 开放			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVXlZYM.html" rel="bookmark">Apache Spark机器学习2&period;7　复用性和自动化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.7 复用性和自动化 本节我们将讨论数据集组织方法.预处理工作流方法,然后使用Apache Spark pipeline模型进行表示,并实现工作流.然后,我们将评估数据预处理的自动化解决方案. 学完本节,我们应能够使用Spark pipeline模型来表示和实现数据集预处理工作流,理解一些基于Apache Spark的自动化解决方案. 2.7.1 数据集预处理工作流 数据准备工作是从数据清洗到标识匹配,再由数据重组到特征提取,能以某种形式进行组织,反映了一步一步开展机器学习数据集准备的有序过程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M12wB9p.html" rel="bookmark">Apache Spark机器学习&period;1&period;8　Spark notebook简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.8 Spark notebook简介 在本节中,我们首先讨论有关面向机器学习的notebook方法.然后,我们介绍R Markdown,以其作为一个成熟的notebook案例,最后介绍Spark中的R notebook. 学习完本节,读者将掌握notebook相关的方法和概念,并为将其用于管理和开发机器学习项目做好准备. 1.8.1 面向机器学习的notebook方法 notebook已经成为众人青睐的机器学习工具,因为该工具既能动态驱动,还具备可重复生成的特点. 大部分notebook接口			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8gDd9M.html" rel="bookmark">Apache Spark机器学习&period;2&period;2　数据清洗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 数据清洗 在本节中,我们将回顾一些Spark平台上的数据清洗方法,重点关注数据不完备性.然后,我们将讨论一些Spark数据清洗方面的特殊特征,以及一些基于Spark平台更加容易的数据清洗解决方案. 学习完本节,我们将能够完成数据清洗,并为机器学习准备好数据集. 2.2.1 处理数据不完备性 对于机器学习,数据越多越好.然而,通常数据越多,&quot;脏数据&quot;也会越多--这意味着会有更多的数据清洗工作. 数据质量控制可能会有许多问题需要处理,有些问题可能很简单,如数据输入错误或者数据复制.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZaEob.html" rel="bookmark">Apache Spark机器学习&period;2&period;4　数据集重组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 数据集重组 本节,我们介绍数据集重组技术.我们将讨论一些特殊的Spark数据重组特征,以及一些可以用在Spark notebook中基于R语言数据重组的特别方法. 学习完本节,我们可以根据不同的机器学习需要进行数据集重组. 2.4.1 数据集重组任务 数据集重组虽然听起来比较容易,但还是很有挑战,并且非常耗时. 有两个常见的数据重组任务:一是,获取一个用于建模的数据子集:二是,以更高的层次汇总数据.例如,我们有学生数据,但是我们需要一些班级层面的数据集.为此,我们需要计算学生的一些属性,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkX5Vb.html" rel="bookmark">Apache Spark机器学习&period;1&period;4　MLlib</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 MLlib MLlib是一个可扩展的Spark机器学习库,包括很多常用的机器学习算法.MLlib内置的算法如下: 以向量和矩阵形式处理数据 基本的统计计算,例如:汇总统计和相关性.简单随机数生成.分层抽样.执行简单的假设检验 分类和回归建模 协同过滤 聚类 降维 特征提取与转换 频繁模式挖掘 开发优化 PMML模型导出 Spark MLlib还处在活跃开发阶段,预计每次新版发布都会有新的算法加入其中. MLlib符合Apache Spark的计算哲学,简单易用,性能卓越. MLlib使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8A6n4z.html" rel="bookmark">Apache Spark机器学习&period;1&period;5　Spark RDD和DataFrame</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.5 Spark RDD和DataFrame 本节关注数据以及Spark如何表示和组织数据.我们将介绍Spark RDD和DataFrame技术. 通过本节的学习,读者将掌握Spark的两个关键概念:RDD和DataFrame,并将它们应用于机器学习项目. 1.5.1 Spark RDD Spark主要以一种分布式项集合的形式进行数据抽象,称之为弹性分布式数据集(Resilient Distributed Dataset,RDD).RDD是Spark的关键创新,使其比其他框架计算更加快速和高效			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baBE2QM.html" rel="bookmark">Apache Spark机器学习&period;1&period;1　Spark概述和技术优势</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要 Spark机器学习简介 本章从机器学习和数据分析视角介绍Apache Spark,并讨论Spark中的机器学习计算处理技术.本章首先概括介绍Apache Spark,通过与MapReduce等计算平台进行比较,展示Spark在数据分析中的技术优势和特点.接着,讨论如下五个方面的内容: 机器学习算法与程序库 Spark RDD和DataFrame 机器学习框架 Spark pipeline技术 Spark notebook技术 以上是数据科学家或机器学习专业人员必须掌握的五项最重要的技术内容			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMABxKp.html" rel="bookmark" class="title">网站优化怎么少得了百度分享</a>
					<div>
						不知道大家在使用百度的时候,有没有注意过百度快照后的百度分享数据,下图就是在百度搜索&quot;南京网络公司&quot;后出现的结果.   可以看到,图中的大拇指就是百度分享的标志,后面的数字表示这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kkWAz.html" rel="bookmark" class="title">如何在JSP中处理虚拟目录</a>
					<div>
						&lt;%@ page contentType=&quot;text/html;charset=gb2312&quot;%&gt; &lt;%@ page import=&quot;java.io.* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7883M.html" rel="bookmark" class="title">iOS网络编程入门：iCloud键值数据存储编程实例</a>
					<div>
						iCloud键值数据存储设计 iCloud键值数据存储编程实例,画面中有两个开关控件,左图是设备1点击&quot;设置iCloud数据&quot;按钮,将控件状态保存到iCloud服务器.右图是设备2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnroQz.html" rel="bookmark" class="title">Linux中如何对服务器进行压力测试</a>
					<div>
						http_load是基于Linux平台的一种性能测工具.它是以并行复用的方式运行,仅适用于Web页面的性能测试,不适用于访问数据库,而且测试结果分析是有限的,平台依赖Linux .http_load可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywr5vz.html" rel="bookmark" class="title">ASP和PHP的区别所在</a>
					<div>
						  PHP,是英文超级文本预处理语言Hypertext Preprocessor的缩写.PHP 是一种 HTML 内嵌式的语言,是一种在服务器端执行的嵌入HTML文档的脚本语言,语言的风格有类似于c语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr304Op.html" rel="bookmark" class="title">巧用PS转换毕业求职简历为PDF</a>
					<div>
						  1. 支持版本 首先你电脑上要安装有Photoshop CS3及以上版本,版本过于陈旧的同学请更新你的Photoshop 2. PDF演示文稿 打开Photoshop,点击文件菜单&gt;自动&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGL2Ep.html" rel="bookmark" class="title">驾校考试模拟系统哪个好？</a>
					<div>
						  一.卓越驾校考试模拟系统2014 卓越驾校考试模拟系统2014是一款2014年驾考题目试题模拟软件,有助于你提供驾考笔试的分数,轻松上90分通过驾考软件拥有国内最新最全的理论试题,它可以快速的掌握 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL46Rb.html" rel="bookmark" class="title">Win7旗舰版系统下没有装word如何直接打开docx格式文件</a>
					<div>
						  1.如果你的电脑里没有安装Office软件的时候,那么我们会发现docx格式文件回被电脑识别为Office Open XML; 2.虽然没有安装Office,但其系统识别图标上却显示出了docx字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR7wVp.html" rel="bookmark" class="title">教您快速解决MindManager 15中文版无法正常启动的难题</a>
					<div>
						  目前很多用户反映在安装MindManager 15中文版思维导图软件时会出现各种安装错误,其实这些安装错误不是软件的问题,而是电脑系统出现漏洞MindManager 15中文版相对于14版本来说, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3jw5M.html" rel="bookmark" class="title">扁平化设计进修</a>
					<div>
						摘要: 这篇文章将展示很多很酷的范例,甚至还提供了一个免费的用户界面工具包供你下载和使用.但如果是你自己的话,你打算怎么做?给点提示,色彩是扁平化趋势中最重要的一部分. 扁 这篇文章将展示很多很酷的范 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd64LNb.html" rel="bookmark" class="title">jdom中addContent，只加载到内存，而不更新XML文件</a>
					<div>
						问题描述 jdom中addContent,只加载到内存,而不更新XML文件 //添加 Element inputelement = root; inputelement.addContent(new  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lvA5b.html" rel="bookmark" class="title">ActiveReports 报表应用教程 &lpar;1&rpar;---Hello ActiveReports</a>
					<div>
						原文:ActiveReports 报表应用教程 (1)---Hello ActiveReports      在开始专题内容之前,我们还是了解一下 ActiveReports 是一款什么产品:Acti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx18Ob.html" rel="bookmark" class="title">MongoDB 写安全&lpar;Write Concern&rpar;</a>
					<div>
						MongoDB Write Concern,简称MongoDB写入安全机制,是一种客户端设置,用于控制写入安全的级别.Write Concern 描述了MongoDB写入到mongod单实例,副本集, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW89xp.html" rel="bookmark" class="title">代码-关于java&period;lang&period;NoClassDefFoundError&colon;</a>
					<div>
						问题描述 关于java.lang.NoClassDefFoundError: 出错提示是这样的: java.lang.NoClassDefFoundError: org/saxpath/SAXPath ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2OlGb.html" rel="bookmark" class="title">C&num; post数据时 出现如下错误&colon; System&period;Net&period;WebException&colon; 操作超时</a>
					<div>
						net(客户端)调用IIS(服务端)出现503后,就报操作超时错误 问题描述: 服务端环境: IIS 客户端环境: windowsxp + iis + .net 调用时出现如下错误: System.N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA75KKz.html" rel="bookmark" class="title">Vim 使用设置</a>
					<div>
						转自:http://www.cnblogs.com/end/archive/2012/06/01/2531147.html Vim 作为最好用的文本编辑器之一,使用vim来编文档,写代码实在是很惬意的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAwJqp.html" rel="bookmark" class="title">想使用 MongoDB ，你应该了解这8个方面！</a>
					<div>
						应用性能高低依赖于数据库性能,MongoDB 是一个基于分布式文件存储的数据库.由 C++ 语言编写,旨在为 WEB 应用提供可扩展的高性能数据存储解决方案.MongoDB 是一个介于关系数据库和非关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1jGaz.html" rel="bookmark" class="title">c&plus;&plus; poco StreamSocket tcpclient测试用例</a>
					<div>
						1.代码 #include &lt;iostream&gt; #include &quot;Poco/Net/Socket.h&quot; #include &quot;Poco/Net/Stream ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/b3JYE3z.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzExMDcxMTM4MDM3MTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YjNWNVlXNW5YM0JsYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/b3JYE3z.html" rel="bookmark" class="title">我的Android进阶之旅------&amp;amp&semi;gt&semi;Android KeyCode列表</a>
					<div>
						KEYCODE列表 电话键 KEYCODE_CALL 拨号键 5 KEYCODE_ENDCALL 挂机键 6 KEYCODE_HOME 按键Home 3 KEYCODE_MENU 菜单键 82 KEY ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWwljM.html" rel="bookmark" class="title">数据库怎样设计可以同时比较好的支持微信支付和支付宝支付</a>
					<div>
						问题描述 数据库怎样设计可以同时比较好的支持微信支付和支付宝支付 系统同时用到了微信支付和支付宝支付,两种支付方式的数据上有点区别,怎么样设计数据库可以比较简单明了的支持两种支付 解决方案 两种支付方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eBEjb.html" rel="bookmark" class="title">分析器错误信息&colon; 找不到文件或程序集名称&OpenCurlyDoubleQuote;AspNetMMCExt&rdquo;，或找不到它的一个依赖项。请问怎么解决？</a>
					<div>
						问题描述 &quot;/tisheng&quot;应用程序中的服务器错误.(tisheng是我发布的网站的名字)-------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj5NQM.html" rel="bookmark" class="title">cpu-CPU启动时地址指针的问题</a>
					<div>
						问题描述 CPU启动时地址指针的问题 在&lt;linux内核全注释V3.0&gt;P22中,有这么一段话: &quot;当计算机系统上电开机或者按了机箱上的复位按钮时,CPU会自动把代码段寄存器CS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqLNvp.html" rel="bookmark" class="title">《模式识别原理及工程应用》一第1章　模式识别概述</a>
					<div>
						第1章 模式识别概述 1.1 模式识别的基本概念 模式识别(pattern recognition)是人类的一项基本智能,在日常生活中,人们经常进行&quot;模式识别&quot;.例如,在见到认识的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO7v7b.html" rel="bookmark" class="title">《搜索》直面&OpenCurlyDoubleQuote;人肉搜索&rdquo;带来的网络暴力问题</a>
					<div>
						陈凯歌新片&lt;搜索&gt;昨日在京举行全球首映式,陈凯歌偕高圆圆.姚晨.赵又廷.陈红.王学圻.王珞丹等主演悉数出席. 作为陈凯歌从影以来的首部女性作品,同时也是继&lt;和你在一起&gt;十年后首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7Qekb.html" rel="bookmark" class="title">提高页面浏览速度的办法</a>
					<div>
						一.记得帮页面减肥     我们浏览网页实际上是将虚拟主机中的网页内容下载到本地硬盘,再用浏览器解释查看的.下载网页的快慢在显示速度上占了很大比重,所以,网页本身所占的空间越小,那么浏览速度就会越快. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWKy5z.html" rel="bookmark" class="title">iOS应用开发中图片的拉伸问题解决方案&lowbar;IOS</a>
					<div>
						纵观移动市场,一款移动app,要想长期在移动市场立足,最起码要包含以下几个要素:实用的功能.极强的用户体验.华丽简洁的外观.华丽外观的背后,少不了美工的辛苦设计,但如果开发人员不懂得怎么合理展示这些设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5ooRz.html" rel="bookmark" class="title">C&plus;&plus;中访问字符串的三种方法总结&lowbar;C 语言</a>
					<div>
						1.用字符数组存放一个字符串 程序1:定义一个字符数组并初始化,然后输出其中的字符串. 复制代码 代码如下: #include&lt;iostream&gt;using namespace std;i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QmRWp.html" rel="bookmark" class="title">jQuery垂直多级导航菜单代码分享&lowbar;jquery</a>
					<div>
						这是一款基于jquery实现的垂直导航菜单特效代码,总共有三级,实现效果简单大方,最后一级还可以进行图片展示说明,是一款非常实用的导航菜单特效源码. 效果演示 源码下载 为大家分享的jQuery垂直多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP443p.html" rel="bookmark" class="title">《高可用架构&CenterDot;中国初创故事（第3期）》一1&period;4　认同企业文化</a>
					<div>
						1.4 认同企业文化 企业文化涉及员工间相互配合的方式以及管理回报的表现形式.为了认同企业文化,要把经理们说的话与做的事进行观察对比.阅读公司价值观与使命感也同样有所帮助.你可以通过与同僚们讨论来确定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOW3Xxz.html" rel="bookmark" class="title">智慧城市PPP：为何鲜有成功案例</a>
					<div>
						近年来,随着国家发展改革委.财政部等部门陆续发布了一系列相关政策文件,政府和社会资本合作模式(Public-Private- Partnership,缩写PPP)已被视为一剂破解智慧城市建设资金困局的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
